<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.alarmpoint.servicemanager.*"%>

<%@ include file="includes/mobilegatewaysession.jsp"%>
<%@ include file="configuration.jsp"%> 

<%
if(request.getParameter("newIncident") == null)
{
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  esr.setAction("getIncident");
  esr.addToken("IncidentID", request.getParameter("IncidentID"));
  %> 
  <%@ include file="includes/sendRequest.jsp"%>
  <%
  ServiceManagerIncident incident;
  if(resps.getResponse() == null)
  {
    session.setAttribute("incident", null);
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?errorMessage="+"Error Loading Incident")%>"/>
    <%
  }
  else if(resps.getResponse() instanceof String)
  {
    session.setAttribute("incident", null);
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
  else
  {
    incident = (ServiceManagerIncident)resps.getResponse();
    %> 
    <%@ include file="includes/initialize.jsp"%>
    <%
    session.setAttribute("incident", incident);
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp")%>"/>
    <%
  }
}
else
{
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;

  ServiceManagerIncident incident = new ServiceManagerIncident();
  %> 
  <%@ include file="includes/initialize.jsp"%>
  <%
  session.setAttribute("incident", incident);
  %>
  <jsp:forward page="<%=response.encodeURL("createIncident.jsp")%>"/>
  <%
}
%>


