<%
//Note: These fields must be specified in the same order as in the wsdl and must have the correct default value specified.
Map<String, Object> newFields = new LinkedHashMap<String, Object>();
newFields.put("IncidentID", "");
newFields.put("Category", "");
newFields.put("OpenTime", "");
newFields.put("OpenedBy", "");
newFields.put("Priority", "");
newFields.put("severity", "");
newFields.put("UpdatedTime", "");
newFields.put("PrimaryAssignmentGroup", "");
newFields.put("ClosedTime", "");
newFields.put("ClosedBy", "");
newFields.put("ClosureCode", "");
newFields.put("AffectedItem", "");
newFields.put("IncidentDescription", new ArrayList<String>());
newFields.put("Resolution", new ArrayList<String>());
newFields.put("OutageEnd", "");
newFields.put("OutageStart", "");
newFields.put("AssigneeName", "");
newFields.put("Phone", "");
newFields.put("JournalUpdates", new ArrayList<String>());
newFields.put("AlertStatus", "");
newFields.put("Company", "");
newFields.put("BriefDescription", "");
newFields.put("TicketOwner", "");
newFields.put("UpdatedBy", "");
newFields.put("IMTicketStatus", "");
newFields.put("Subcategory", "");
newFields.put("SLAAgreementID", "");
newFields.put("ProductType", "");
newFields.put("ResolutionFixType", "");
newFields.put("UserPriority", "");
newFields.put("Location", "");
newFields.put("Solution", new ArrayList<String>());
newFields.put("Ext", "");
newFields.put("InitialImpact", "");
newFields.put("Service", "");
incident.addFields(newFields);

//Add all the possible list values to the incident
%>
<%@include file="loadLists.jsp"%>
<%

//Add the values for the IMTicketStatus field
incident.addList("IMTicketStatus", Arrays.asList(new String[]{ 
  "Open",
  "Closed", 
  "Pending Other", 
  "Referred",
  "Replaced Problem",
  "Resolved",
  "Accepted",
  "Rejected",
  "Work In Progress", 
  "Pending Customer", 
  "Pending Vendor",
  "Suspended"}));

incident.addList("ClosureCode", (Collection)listValues.get("ClosureCode"));

//Add the value and display values for the Severity field
Map<String, String> severity = new LinkedHashMap<String, String>();
severity.put("1", "1 - Critical");
severity.put("2", "2 - High");
severity.put("3", "3 - Average");
severity.put("4", "4 - Low");
incident.addList("severity", severity);

//Add the value and display values for the InitialImpact field
Map<String, String> initialImpact = new LinkedHashMap<String, String>();
initialImpact.put("1", "1 - Enterprise");
initialImpact.put("2", "2 - Site/Dept");
initialImpact.put("3", "3 - Multi Users");
initialImpact.put("4", "4 - User");
incident.addList("InitialImpact", initialImpact);

//Add the value and display values for the Severity field
Map<String, String> userPriority = new LinkedHashMap<String, String>();
userPriority.put("1", "1 - Critical");
userPriority.put("2", "2 - High");
userPriority.put("3", "3 - Average");
userPriority.put("4", "4 - Low");
incident.addList("Priority", severity);
%>
